Subject: Re: bug#22114: 24.5; [PATCH] Allow profiler.el to display reports after stopping

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Dec 2015 20:08:44 +0200

> From: John Wiegley <[email-masked]>
> Cc: Vasilij Schneidermann <[email-masked]>,  [email-masked]
> Date: Tue, 08 Dec 2015 09:42:37 -0800
> 
> > But why would you need a subsequent access to the same data? The profiler
> > report is in the buffer, and you can review it whenever you want. The buffer
> > has the time of the report creation as part of its name, so the next report
> > will not destroy the buffer. You can also save the report to a file (there's
> > a separate command to do that). By contrast,producing a report again from
> > the same data will simply produce an identical report.
> 
> > I guess I don't see a use case where the user would need to produce the same
> > report twice. I never needed that myself, FWIW.
> 
> I think the OP wants to:
> 
>   1. Start a profile
>   2. View the "results in progress"
>   3. Allow it to continue execution
>   4. View the "results at the end"
> 
> It's step #2 that's missing. If we can only view the results in progress by
> taking away the option for #4, this is less optimal.

This is a completely different issue, and AFAIU the proposed patch
didn't allow that.  The C-level implementation of producing a profiler
log (which is then used to format a report) resets the profile data
once it returns the log, and then starts collecting the profile data
anew.  The OP's patch didn't change that.